<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <g:column
            sortBy="#{'timestamp'}"
            sortOrder="#{dataTableStateHolder.sortOrders['timestamp']}">
        <f:facet name="header">#{messages['gazelle.HL7Common.TimeStamp']}
        </f:facet>
        <g:date value="#{testStep.requestAndResponse.timestamp}"/>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['gazelle.pam.InitialState']}</f:facet>
        <h:outputText value="#{testStep.initialStatus.name}"/>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['gazelle.pam.Event']}</f:facet>
        <h:outputText value="#{testStep.event}"/>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['gazelle.pam.FinalState']}</f:facet>
        <h:outputText value="#{testStep.finalStatus.name}"/>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['net.ihe.gazelle.pam.Request']}</f:facet>
        <div class="gzl-never-wrap">
            <s:span styleClass="gzl-icon-checked "
                    rendered="#{testStep.requestAndResponse.request.validationStatus != null and testStep.requestAndResponse.request.validationStatus.equals('PASSED')}"
                    title="PASSED"/>
            <s:span styleClass="gzl-icon-times " title="FAILED"
                    rendered="#{testStep.requestAndResponse.request.validationStatus != null and testStep.requestAndResponse.request.validationStatus.equals('FAILED')}"/>
            <a4j:commandLink actionListener="#{managedBean.validate(testStep.requestAndResponse)}"
                             oncomplete="jq162('#validationSummaryPanel').modal('show')"
                             render="testResults"
                             title="#{messages['gazelle.pam.ClickToValidate']}"
                             rendered="#{testStep.requestAndResponse.request.validationStatus == null or testStep.requestAndResponse.request.validationStatus.equals('ABORTED')}">
                <s:span styleClass="fa fa-play gzl-text-blue"/>
            </a4j:commandLink>
            <h:outputText value="#{testStep.requestAndResponse.request.type}"/>
        </div>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['net.ihe.gazelle.pam.Response']}</f:facet>
        <div class="gzl-never-wrap">
            <s:span styleClass="gzl-icon-checked "
                    rendered="#{testStep.requestAndResponse.response.validationStatus != null and testStep.requestAndResponse.response.validationStatus.equals('PASSED')}"
                    title="PASSED"/>
            <s:span styleClass="gzl-icon-times " title="FAILED"
                    rendered="#{testStep.requestAndResponse.response.validationStatus != null and testStep.requestAndResponse.response.validationStatus.equals('FAILED')}"/>
            <a4j:commandLink actionListener="#{managedBean.validate(testStep.requestAndResponse)}"
                             oncomplete="jq162('#validationSummaryPanel').modal('show')"
                             render="testResults"
                             title="#{messages['gazelle.pam.ClickToValidate']}"
                             rendered="#{testStep.requestAndResponse.response.validationStatus == null or testStep.requestAndResponse.response.validationStatus.equals('ABORTED')}">
                <s:span styleClass="fa fa-play gzl-text-blue"/>
            </a4j:commandLink>
            <h:outputText value="#{testStep.requestAndResponse.response.type}"/>
        </div>
    </g:column>
    <g:column>
        <f:facet name="header">#{messages['net.ihe.gazelle.simulators.ACK']}</f:facet>
        <h:outputText id="ackVal" title="#{testStep.errorMessage}" value="#{testStep.ackCode}"/>
    </g:column>
</ui:composition>